import { EmitterSubscription } from 'react-native';
declare type EventType = 'onRewardCenterOpened' | 'onRewardCenterClosed';
export declare const addListener: (type: EventType, handler: (value: any) => void) => EmitterSubscription;
export declare function show(placementId?: string): void;
export declare function initialize({ apiKey, userId }: {
    apiKey: string;
    userId: string;
}): void;
export declare function isSurveyAvailable(): Promise<boolean>;
export {};
